Restorable Dropped Databases - Get
取得可還原的已刪除資料庫
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/restorableDroppedDatabases/{restorableDroppededDatabaseId}?api-version=2014-04-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
包含資源的資源群組名稱。 您可以從 Azure Resource Manager API 或入口網站取得此值。 |
|
restorable
|
path | True |
string |
以 databaseName、deleteTimeInFileTimeFormat 格式刪除的資料庫識別碼 |
|
server
|
path | True |
string |
伺服器的名稱。 |
|
subscription
|
path | True |
string |
識別 Azure 訂用帳戶的訂用帳戶標識碼。 |
|
api-version
|
query | True |
string |
要用於要求的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
還行 |
範例
Get a restorable dropped database
範例要求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/restorabledroppeddatabasetest-1257/providers/Microsoft.Sql/servers/restorabledroppeddatabasetest-2389/restorableDroppedDatabases/restorabledroppeddatabasetest-7654,131403269876900000?api-version=2014-04-01
範例回覆
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/restorabledroppeddatabasetest-1257/providers/Microsoft.Sql/servers/restorabledroppeddatabasetest-2389/restorableDroppedDatabases/restorabledroppeddatabasetest-7654,131403269876900000",
"name": "restorabledroppeddatabasetest-7654,131403269876900000",
"type": "Microsoft.Sql/servers/restorableDroppedDatabases",
"location": "Japan East",
"properties": {
"databaseName": "restorabledroppeddatabasetest-7654",
"edition": "Basic",
"maxSizeBytes": "2147483648",
"serviceLevelObjective": "Basic",
"elasticPoolName": null,
"creationDate": "2017-02-10T00:56:19.2Z",
"deletionDate": "2017-05-27T02:49:47.69Z",
"earliestRestoreDate": "2017-05-20T02:49:47.69Z"
}
}
定義
RestorableDroppedDatabase
可還原的已卸除資料庫
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string |
資源標識碼。 |
| location |
string |
資源所在的地理位置 |
| name |
string |
資源名稱。 |
| properties.creationDate |
string (date-time) |
資料庫的建立日期(ISO8601格式) |
| properties.databaseName |
string |
資料庫的名稱 |
| properties.deletionDate |
string (date-time) |
資料庫的刪除日期(ISO8601格式) |
| properties.earliestRestoreDate |
string (date-time) |
資料庫最早的還原日期(ISO8601格式) |
| properties.edition |
string |
資料庫的版本 |
| properties.elasticPoolName |
string |
資料庫的彈性集區名稱 |
| properties.maxSizeBytes |
string |
以位元組為單位的資料庫大小上限 |
| properties.serviceLevelObjective |
string |
資料庫的服務等級目標名稱 |
| type |
string |
資源類型。 |